# azure.mgmt.cognitiveservices.models module

class `azure.mgmt.cognitiveservices.models.``CognitiveServicesAccountCreateParameters`(sku, kind, location, properties, tags=None)

  Bases: `msrest.serialization.Model`

  The parameters to provide for the account.

  Parameters:

  - sku (`Sku`) –
  - kind (str or `Kind`) – Required. Indicates the type of cognitive service account. Possible values include: ‘ComputerVision’, ‘Emotion’, ‘Face’, ‘LUIS’, ‘Recommendations’, ‘Speech’, ‘TextAnalytics’, ‘WebLM’
  - location (str) – Required. Gets or sets the location of the resource. This will be one of the supported and registered Azure Geo Regions (e.g. West US, East US, Southeast Asia, etc.). The geo region of a resource cannot be changed once it is created, but if an identical geo region is specified on update the request will succeed.
  - tags (dict) – Gets or sets a list of key value pairs that describe the resource. These tags can be used in viewing and grouping this resource (across resource groups). A maximum of 15 tags can be provided for a resource. Each tag must have a key no greater than 128 characters and value no greater than 256 characters.
  - properties (object) – Must exist in the request. Must not be null.

class `azure.mgmt.cognitiveservices.models.``Sku`(name)

  Bases: `msrest.serialization.Model`

  The SKU of the cognitive services account.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | name (str or `SkuName`) – Gets or sets the sku name. Required for account creation, optional for update. Possible values include: ‘F0’, ‘S0’, ‘S1’, ‘S2’, ‘S3’, ‘S4’
  Variables: | tier (str or `SkuTier`) – Gets the sku tier. This is based on the SKU name. Possible values include: ‘Free’, ‘Standard’, ‘Premium’

class `azure.mgmt.cognitiveservices.models.``CognitiveServicesAccountUpdateParameters`(sku=None, tags=None)

  Bases: `msrest.serialization.Model`

  The parameters to provide for the account.

  Parameters:

  - sku (`Sku`) –
  - tags (dict) – Gets or sets a list of key value pairs that describe the resource. These tags can be used in viewing and grouping this resource (across resource groups). A maximum of 15 tags can be provided for a resource. Each tag must have a key no greater than 128 characters and value no greater than 256 characters.

class `azure.mgmt.cognitiveservices.models.``CognitiveServicesAccount`(etag=None, id=None, kind=None, location=None, name=None, endpoint=None, sku=None, tags=None, type=None)

  Bases: `msrest.serialization.Model`

  Cognitive Services Account is an Azure resource representing the provisioned account, its type, location and SKU.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - etag (str) – Entity Tag
  - id (str) – The id of the created account
  - kind (str) – Type of cognitive service account.
  - location (str) – The location of the resource
  - name (str) – The name of the created account
  - endpoint (str) – Endpoint of the created account
  - sku (`Sku`) –
  - tags (dict) – Gets or sets a list of key value pairs that describe the resource. These tags can be used in viewing and grouping this resource (across resource groups). A maximum of 15 tags can be provided for a resource. Each tag must have a key no greater than 128 characters and value no greater than 256 characters.
  - type (str) – Resource type

  Variables: | provisioning_state (str or `ProvisioningState`) – Gets the status of the cognitive services account at the time the operation was called. Possible values include: ‘Creating’, ‘ResolvingDNS’, ‘Succeeded’, ‘Failed’

class `azure.mgmt.cognitiveservices.models.``CognitiveServicesAccountKeys`(key1=None, key2=None)

  Bases: `msrest.serialization.Model`

  The access keys for the cognitive services account.

  Parameters:

  - key1 (str) – Gets the value of key 1.
  - key2 (str) – Gets the value of key 2.

class `azure.mgmt.cognitiveservices.models.``RegenerateKeyParameters`(key_name=None)

  Bases: `msrest.serialization.Model`

  Regenerate key parameters.

  Parameters: | key_name (str or `KeyName`) – key name to generate (Key1|Key2). Possible values include: ‘Key1’, ‘Key2’

class `azure.mgmt.cognitiveservices.models.``CognitiveServicesAccountEnumerateSkusResult`

  Bases: `msrest.serialization.Model`

  The list of cognitive services accounts operation response.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | value (list of `CognitiveServicesResourceAndSku`) – Gets the list of Cognitive Services accounts and their properties.

class `azure.mgmt.cognitiveservices.models.``CognitiveServicesResourceAndSku`(resource_type=None, sku=None)

  Bases: `msrest.serialization.Model`

  CognitiveServicesResourceAndSku.

  Parameters:

  - resource_type (str) – Resource Namespace and Type
  - sku (`Sku`) –

class `azure.mgmt.cognitiveservices.models.``Error`(errorProperty=None)

  Bases: `msrest.serialization.Model`

  Error.

  Parameters: | errorProperty (`ErrorBody`) –

exception `azure.mgmt.cognitiveservices.models.``ErrorException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘Error’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.cognitiveservices.models.``ErrorBody`(code, message)

  Bases: `msrest.serialization.Model`

  ErrorBody.

  Parameters:

  - code (str) – error code
  - message (str) – error message

class `azure.mgmt.cognitiveservices.models.``CognitiveServicesAccountPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of CognitiveServicesAccount object

class `azure.mgmt.cognitiveservices.models.``SkuName`

  Bases: `enum.Enum`

  `f0` = 'F0'
  `s0` = 'S0'
  `s1` = 'S1'
  `s2` = 'S2'
  `s3` = 'S3'
  `s4` = 'S4'

class `azure.mgmt.cognitiveservices.models.``SkuTier`

  Bases: `enum.Enum`

  `free` = 'Free'
  `premium` = 'Premium'
  `standard` = 'Standard'

class `azure.mgmt.cognitiveservices.models.``Kind`

  Bases: `enum.Enum`

  `computer_vision` = 'ComputerVision'
  `emotion` = 'Emotion'
  `face` = 'Face'
  `luis` = 'LUIS'
  `recommendations` = 'Recommendations'
  `speech` = 'Speech'
  `text_analytics` = 'TextAnalytics'
  `web_lm` = 'WebLM'

class `azure.mgmt.cognitiveservices.models.``ProvisioningState`

  Bases: `enum.Enum`

  `creating` = 'Creating'
  `failed` = 'Failed'
  `resolving_dns` = 'ResolvingDNS'
  `succeeded` = 'Succeeded'

class `azure.mgmt.cognitiveservices.models.``KeyName`

  Bases: `enum.Enum`

  `key1` = 'Key1'
  `key2` = 'Key2'